Subject: Re: [PATCH] net: add tracepoints to socket api

From: Christoph Hellwig <[email-masked]>
Date: Tue, 27 Jan 2009 12:23:23 -0500

On Tue, Jan 27, 2009 at 09:20:17AM -0800, David Miller wrote:
> From: Christoph Hellwig <[email-masked]>
> Date: Tue, 27 Jan 2009 12:18:57 -0500
> 
> > Do we now have lttng in linux-next?  Otherwise these trace point would
> > be useless there without more patching.
> 
> We're merging this stuff to solve the chicken and egg
> problem wherein the lttng tree merge is basically
> stalled.
> 
> If the individual subsystem annotations go in, the hope
> is that they'll have less to merge and thus it's more likely
> to actually happen.

I'm rather concerned as I haven't seen any progress on the lttng core
lately.  I'd really prefer to have a version in close to mergeable shape
first, that's actively beeing pushed.  Adding the instrumentation is
trivial as seen by this small patch, but getting the core right (and who
knows if that involves changing the way actual instrumentation works, it's
not like that hasn't changed n million times yet) is essential.